[typo] Error with 4.1

Frederic de Villamil neuro at 7el.net
Mon Mar 26 10:01:19 EDT 2007


Le 26 mars 07 à 15:47, Conrad Strydom a écrit :

> Hi Frederic
>
> Thanks for the reply, I had an old environment.rb , I have fixed that
> now but still the error, how can I see what plugins are getting  
> loaded?
>
> Regards
> Conrad Strydom
>
> Frederic de Villamil wrote:
>> Le 26 mars 07 à 13:04, Conrad Strydom a écrit :
>>
>>
>>> Hi,
>>>
>>> I am maintaining a typo site armed with nothing but my wits and very
>>> rails knowledge.
>>>
>>> I attempted a typo upgrade to version 4.1 and I get a very strange
>>> error
>>> now.
>>>
>>> ActionView::TemplateError (undefined method `_' for
>>> #<#<Class:0xb745d7c0>:0xb74d9a78>) on line #14 of
>>> app/views/accounts/login.rhtml:
>>> 11:       <% end %>
>>> 12:       <ul>
>>> 13:         <li>
>>> 14:           <label for="user_login" class="block"><%=
>>> _('Username')%>:</label>
>>> 15:           <input type="text" name="user_login" id="user_login"
>>> size="20" value=""/>
>>> 16:         </li>
>>> 17:         <li>
>>>
>>> Any help appreciated. Is it something I need to upgrade?
>>>
>>> Regards
>>> Conrad
>>>
>>
>> Hi conrad,
>>
>> Seems you lack the localization plugin _ is a function defined in
>> this plugin.
>> have a look at your environment.rb, should have something there too.
>>
>> Cheers
>> Frederic

You need to have the localization plugin into vendor/plugins

If not, your typo version is not complete.
Cheers,
Frederic


--
Frédéric de Villamil
frederic at de-villamil.com                        tel: +33 (0)6 62 19 1337
http://fredericdevillamil.com		     Typo : http://typosphere.org






More information about the Typo-list mailing list